Skip to main content
GET

List all existing users.

Authorizations

httpAuth

string
required
HTTP bearer authentication. Send the token as Authorization: Bearer <token>. Ledger API standard JWT token

apiKeyAuth

string
required
API key authentication in the header. Ledger API standard JWT token (websocket)

Query parameters

number
OpenAPI type: integer (int32).maximum number of elements in a returned page
string
token - to continue results from a given page, leave empty to start from the beginning of the list, obtain token from the result of previous page

Responses

200

application/json
User[]
A subset of users of the participant node that fit into this page. Can be empty if no more users Optional: can be empty
string
Pagination token to retrieve the next page. Empty, if there are no further results. Optional

400

Invalid value, Invalid value for: query parameter pageSize, Invalid value for: query parameter pageToken
text/plain
string
required

default

application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean

History

Updated3.5

The GET /v2/users operation was updated in this snapshot.

Added3.4